<?php
$background_image = "images/BACKGROUND_IMAGE";
$debug = DEBUG_PLACEHOLDER;
$logo = "images/LOGO_IMAGE";
$mail_smtp_debug = DEBUG_PLACEHOLDER;
$ldap_url = "LDAP_SCHEME://LDAP_HOST:LDAP_PORT";
$ldap_starttls = LDAP_START_TLS;
$ldap_binddn = "LDAP_BIND_DN";
$ldap_bindpw = "LDAP_BIND_PW";
$ldap_base = "LDAP_BASE";
$ldap_login_attribute = "uid";
$ldap_fullname_attribute = "cn";
$ldap_filter = "(&(objectClass=person)($ldap_login_attribute={login}))";
$hash = "HASH_METHOD";
$hash_options['crypt_salt_prefix'] = "$6$";
$hash_options['crypt_salt_length'] = "6";
$who_change_password = "WHO_CHANGES_PW";
$use_change = true;
$change_sshkey = USE_SSH;
$change_sshkey_attribute = "sshPublicKey";
$who_change_sshkey = "WHO_CHANGES_SSHKEY";
$use_questions = USE_QUESTION;
$answer_objectClass = "extensibleObject";
$answer_attribute = "info";
$use_tokens = USE_TOKENS;
$crypt_tokens = true;
$keyphrase = "CRYPT_KEY";
$token_lifetime = "3600";
$mail_address_use_ldap = true;
$mail_attributes = array("mail");
$mail_from = "SMTP_MAIL_FROM";
$mail_from_name = "Self Service Password";
$mail_protocol = 'smtp';
$mail_smtp_debug = 0;
$mail_smtp_host = 'SMTP_HOST';
$mail_smtp_auth = SMTP_AUTH;
$mail_smtp_user = 'SMTP_USER';
$mail_smtp_pass = 'SMTP_PASS';
$mail_smtp_port = SMTP_PORT;
$mail_smtp_secure = 'SMTP_SECURE';
$mail_smtp_autotls = SMTP_AUTOTLS;
$notify_on_change = NOTIFYONCHANGE;
$notify_on_sshkey_change = NOTIFYONCHANGE;
$mail_notify_on_change = NOTIFYONCHANGE;
$mail_notify_on_sshkey_change = NOTIFYONCHANGE;
$http_notify_on_change = NOTIFYONCHANGE;
$http_notify_on_sshkey_change = NOTIFYONCHANGE;
$use_sms = USE_SMS;
$sms_api_lib = "lib/smsapi.inc.php";
$max_attempts = 3;
$sms_attributes = array("SMS_ATTR");
$sms_countrycode_prefix = "SMS_COUNTRYCODE_PFX";
$sms_message = "{smsresetmessage} {smstoken}";
$sms_method = "SMS_METHOD";
$sms_partially_hide_number = true;
$sms_sanitize_number = false;
$sms_token_length = 6;
$sms_truncate_number = false;
$sms_truncate_number_length = 10;
$smsmail_subject = "Provider code";
$smsmailto = $sms_countrycode_prefix . "SMS_MAILTO";
$use_ratelimit = USE_RATELIMIT;
$client_ip_header = 'CLIENT_IP_HEADER';
$max_attempts_block_seconds = "RATELIMIT_BLOCK";
$max_attempts_per_ip = RATELIMIT_MAX_PER_IP;
$max_attempts_per_user = RATELIMIT_MAX_PER_USER;
$use_restapi = USE_REST;
$my_proto = isset($_SERVER['HTTP_X_FORWARDED_PROTO']) ? $_SERVER['HTTP_X_FORWARDED_PROTO'] : 'http';
$my_host = isset($_SERVER['HTTP_X_FORWARDED_HOST']) ? $_SERVER['HTTP_X_FORWARDED_HOST'] : 'localhost';
$reset_url = $my_proto . "://" . $my_host . $_SERVER['SCRIPT_NAME'];
$lang = "LANG_PLACEHOLDER";
$messages['passwordchangedextramessage'] = NULL;
$messages['changehelpextramessage'] = NULL;
$obscure_failure_messages = array();
$display_posthook_error = false;
$display_prehook_error = false;
